package com.ywt.outpatient.service.rpc;

import com.ywt.biz.common.util.Checker;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class BizConfigurer {
    @Value("${wx.nfywt.genqrcode.flag}")
    private String wxNfywtGenQrCodeFlagStr;

    @Value("${ywt.msite.domain}")
    private String ywtMsiteDomainStr;

    public int getWxNfywtGenQrCodeFlag() {
        return Checker.parseInt(this.wxNfywtGenQrCodeFlagStr);
    }

    public String getYwtHttpsMsiteDomain() {
        return Checker.getStringValue("https://" + this.ywtMsiteDomainStr);
    }
}
